Subject: Re: Access to network disks after ssh login
From: John Haggerty <[email-masked]>
To: Cygwin <[email-masked]>
Date: Fri, 08 Dec 2000 11:52:36 -0500

Again, thanks for the hints, which have sort of solved my problem.  It
provided a fun introduction to the wild and wacky world of windows
networking, which I have skated around in the past.  Corinna also had a
relevant earlier posting:

http://sources.redhat.com/ml/cygwin/2000-08/msg00421.html

I would still say the behavior is bizarre.  If you map drive F: from
explorer at the console, you don't seem to be able to reuse the letter
F: again, ever, or at least until you've disconnected all the network
drives and restarted sshd, maybe.  But, you can use some new letters!  

> net use
New connections will be remembered.

Status       Local     Remote                    Network

-------------------------------------------------------------------------------
OK           I:        \\PHONCS0\phoncs          Microsoft Windows
Network
OK           J:        \\PHONCS0\phoncs          Microsoft Windows
Network
The command completed successfully.

When it says new connections will be remembered, it's not kidding!  For
the record,

net use '*' '\\PHONCS0\phoncs' '*' /user:phoncs

seems to usually get you reconnected, although specifying the drive
letter explicitly (the first '*") usually fails with the message:

The local device name is already in use.

I can't see how to get these letters back--even if you disconnect at the
console, it seems to me you need to reboot to recover drive letters. 
Still, it kinda works....

> I know I always have a problem accessing network drives after logging in
> using either telnet or ssh. How do you map your network drive letter? In my
> experience, you sometimes have to log in to the NT server from desktop in
> order to make drive letters work. Also, you may try to map drives explicitly
> using "net use F: /user:..." command once you logged in via ssh.

John Haggerty wrote:
> 
> I was so impressed by this list's answer's to yesterday's problems, so I
> thought I'd try again today....
> 
> So I am happy to be ssh'ing into my Windows NT machine, and using gnu
> make to build all my programs without sitting in front of the machine.
> Very cool.  (I haven't really succeeded in starting sshd as a service,
> but I still have some more manual-thumbing to do there.)
> 
> On the NT machine's console, I had set up a mapped network drive to a
> Samba mounted disk on the Unix server, and made a link to it locally, as
> in
> 
> ln -s f:/foo localfoo
> 
> and I could come and go to localfoo as I pleased.  However, at the bash
> prompt (I made bash the shell), I get, alas,
> 
> bash: cd: localfoo: Permission denied
> 
> although I modified as many permissions as I could think of.  There's
> lots of stuff at play here... Samba... the Unix server... the NT
> security... Cygwin... any ideas on where to start?
> 
> --
> John Haggerty
> internet: [email-masked]
> voice/fax: 631 344 2286/631 344 4592
> http://www.rhic.bnl.gov/phenix/computing/online/oncs/people/haggerty/johnh.html

-- 
John Haggerty
internet: [email-masked]
voice/fax: 631 344 2286/631 344 4592
http://www.rhic.bnl.gov/phenix/computing/online/oncs/people/haggerty/johnh.html

--
Want to unsubscribe from this list?
Send a message to [email-masked]